Group: Video
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           w_scan
Version:        20170107
Release:        alt2_12
Summary:        Tool for scanning DVB transponders

License:        GPLv2+
URL:            http://wirbel.htpc-forum.de/w_scan/index2.html
Source0:        http://wirbel.htpc-forum.de/%{name}/%{name}-%{version}.tar.bz2
Patch0:         w_scan-20170107-gcc10.patch

BuildRequires:  gcc
Source44: import.info

%description
The w_scan tool is similar to dvbscan from dvb-apps. However it does not 
require initial tuning data and thus is able to find more channels.


%prep
%setup -q
%patch0 -p1

iconv -f iso-8859-1 -t utf-8 doc/w_scan.1 > doc/w_scan.1.utf-8 && \
touch -r doc/w_scan.1 doc/w_scan.1.utf-8 && \
mv doc/w_scan.1.utf-8 doc/w_scan.1


%build
%configure
%make_build


%install
%makeinstall_std


%files
%doc --no-dereference COPYING
%doc ChangeLog README
%doc doc/README.file_formats doc/README_VLC_DVB doc/rotor.conf
%{_bindir}/%{name}
%{_datadir}/man/man?/%{name}*


%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 20170107-alt2_12
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 20170107-alt2_11
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 20170107-alt2_10
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 20170107-alt2_9
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 20170107-alt1_9
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 20170107-alt1_8
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 20170107-alt1_6
- update to new release by fcimport

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 20170107-alt1_5
- new version

